<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class ExportCalculationDblOptin extends ExportCalculation
{
  public function getVarValue4DblOptin($varname, $datamodul)
  {
    if (!is_a($datamodul, 'Datamodul')) {
      Logger::logg('getVarValue4DblOptin nicht mit einem Datamodul aufgerufen!' . print_r($datamodul, true) . ' ' . DebugOperations::backtrace(), 100);

      return '';
    }

    switch (StringOperations::strtolower($varname)) {
      default: return $this->getDefaultVarValue($varname, $datamodul);
    }
  }

  public function getVarValue4DblOptinEdit($pVarname, $pDatamodul)
  {
    $varname = $pVarname;
    if (!is_a($pDatamodul, 'Datamodul')) {
      Logger::logg('getVarValue4DblOptin nicht mit einem Datamodul aufgerufen!' . DebugOperations::backtrace(), 100);

      return '';
    }

    $vorbelegung = '';
    $istVorbelegt = StringOperations::strpos($varname, TRENNER_VORBELEGUNG) > 0;
    if ($istVorbelegt) {
      $parts = explode(TRENNER_VORBELEGUNG, $varname);
      $varname = array_shift($parts);
      $vorbelegung = implode(TRENNER_VORBELEGUNG, $parts);
    }

    if (StringOperations::strpos(StringOperations::strtolower($varname), '_pflichtfeld') > 0) {
      $istPflichtfeld = true;
      $varname = str_replace('_pflichtfeld', '', $varname);
    } else {
      $istPflichtfeld = false;
    }

    if (StringOperations::strpos($varname, ':') > 0) {
      $parts = explode(':', $varname);
      $varname = $parts[0];
      $param = $parts[1];
      $isParametrisiert = true;
    } else {
      $isParametrisiert = false;
    }

    $prefix = 'wbl_';
    $value = $pDatamodul->getVarValue($varname);

    switch (StringOperations::strtolower($varname)) {
      default:
        $indiv = '';
        if (isset($this->maxlengths[$varname])) {
          $indiv .= ' maxlength="' . CleanOperations::CleanStringForHtml($this->maxlengths[$varname]) . '"';
        }
        if ($istPflichtfeld) {
          $indiv .= ' ' . HTMLOperations::getEmptyAttribute('required');
        }

        return $this->html->CreateInputTag(
          $prefix . $varname,
          'text',
          $prefix . $varname . 'id',
          'tedit ' . $prefix . $varname . 'class',
          $value,
          $indiv,
          '',
          '',
          '',
          $vorbelegung
        );
      case 'pflicht':
        $indiv = '';
        if ($istPflichtfeld) {
          $indiv .= ' ' . HTMLOperations::getEmptyAttribute('required');
        }

        return $this->html->CreateInputTag(
          $prefix . $varname,
          'checkbox',
          $prefix . $varname . 'id',
          'tedit ' . $prefix . $varname . 'class',
          '1',
          $indiv
        );
      case 'captcha_ohnebr':
        $nobr = true;
        
      case 'captcha':
        if (!isset($nobr)) {
          $nobr = false;
        }

        $capi = \Kufer\Web\Classes\Captchas\CaptchaFactory::getCaptcha4KuferWEB();

        return $capi->getCaptcha($nobr, $vorbelegung, 'dbloptinedit');

    }
  }
}